#! /bin/sh /usr/share/dpatch/dpatch-run
## 10_missing_includes.dpatch by Yavor Doganov <yavor@gnu.org>
##
## DP: Fixes to build with recent GNUstep Base and GNUstep Make.
## DP: 2007-10-22  Yavor Doganov  <yavor@gnu.org>
## DP:
## DP: * Controller.m: Include NSError.h and NSDebug.h.
## DP: * ProjectCreator.m: Include NSProcessInfo.h.
## DP: * ProjectDocument.m: Include NSError.h.
## DP: * GNUmakefile.postamble (APP): Never define as $(APP_NAME).debug.

@DPATCH@
diff -urNad projectmanager.app-0.2~/ProjectManager-0.2/Controller.m projectmanager.app-0.2/ProjectManager-0.2/Controller.m
--- projectmanager.app-0.2~/ProjectManager-0.2/Controller.m	2006-07-09 17:11:44.000000000 +0300
+++ projectmanager.app-0.2/ProjectManager-0.2/Controller.m	2007-10-22 22:45:53.000000000 +0300
@@ -26,6 +26,8 @@
 #import <Foundation/NSBundle.h>
 #import <Foundation/NSSortDescriptor.h>
 #import <Foundation/NSString.h>
+#import <Foundation/NSError.h>
+#import <Foundation/NSDebug.h>
 #import <Foundation/NSFileManager.h>
 #import <Foundation/NSUserDefaults.h>
 #import <Foundation/NSNotification.h>
diff -urNad projectmanager.app-0.2~/ProjectManager-0.2/GNUmakefile.postamble projectmanager.app-0.2/ProjectManager-0.2/GNUmakefile.postamble
--- projectmanager.app-0.2~/ProjectManager-0.2/GNUmakefile.postamble	2006-07-09 17:11:43.000000000 +0300
+++ projectmanager.app-0.2/ProjectManager-0.2/GNUmakefile.postamble	2007-10-22 22:46:22.000000000 +0300
@@ -18,11 +18,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
-ifeq ($(debug), yes)
-        APP=$(APP_NAME).debug
-else
-        APP=$(APP_NAME).app
-endif
+APP=$(APP_NAME).app
 
 after-all::
 	@ echo "Copying project types into app wrapper..." && \
diff -urNad projectmanager.app-0.2~/ProjectManager-0.2/ProjectCreator.m projectmanager.app-0.2/ProjectManager-0.2/ProjectCreator.m
--- projectmanager.app-0.2~/ProjectManager-0.2/ProjectCreator.m	2006-07-09 17:11:43.000000000 +0300
+++ projectmanager.app-0.2/ProjectManager-0.2/ProjectCreator.m	2007-10-22 22:48:37.000000000 +0300
@@ -26,6 +26,7 @@
 #import <Foundation/NSFileManager.h>
 #import <Foundation/NSUserDefaults.h>
 #import <Foundation/NSNotification.h>
+#import <Foundation/NSProcessInfo.h>
 #import <Foundation/NSError.h>
 
 #import <AppKit/NSOpenPanel.h>
diff -urNad projectmanager.app-0.2~/ProjectManager-0.2/ProjectDocument.m projectmanager.app-0.2/ProjectManager-0.2/ProjectDocument.m
--- projectmanager.app-0.2~/ProjectManager-0.2/ProjectDocument.m	2006-07-09 17:11:43.000000000 +0300
+++ projectmanager.app-0.2/ProjectManager-0.2/ProjectDocument.m	2007-10-22 22:49:17.000000000 +0300
@@ -24,6 +24,7 @@
 #import "ProjectDocument.h"
 
 #import <Foundation/NSString.h>
+#import <Foundation/NSError.h>
 #import <Foundation/NSArray.h>
 #import <Foundation/NSDictionary.h>
 #import <Foundation/NSUserDefaults.h>
